Bug 116438 - Kfind crashes when trying to find file containing text
Kfind crashes when trying to find file containing text
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-20 20:18 EST by Klyf Fenderson
Modified: 2007-04-18 13:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 14:11:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The Backtrace output from KDE Crash Handler. (4.42 KB, text/plain)
2004-02-20 20:20 EST, Klyf Fenderson
no flags Details

  None (edit)
Description Klyf Fenderson 2004-02-20 20:18:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/3.0 (X11; Linux i686; U) Opera 7.23  [en]

Description of problem:
When I try to do a content search ("containing text") as either root 
or user with the file name as the wild card "*", kfind crashes.

The application KFind (kfind) crashed and caused the signal 11 
(SIGSEGV).

Output of the backtrace is attached.


Version-Release number of selected component (if applicable):
kdebase-3.1-15, kdeutils

How reproducible:
Always

Steps to Reproduce:
1.  Start kfind from either the start menu or a konsole.
2.  Put the wild card '*' in the "Named" field.
3.  Switch to the "Contents" tab, type a string of text in the 
"Containing text" field.
4.  Click on the "Find" button.
    

Actual Results:  Kfind crashes (disappears, rather than locking up) 
and the KDE Crash Handler pops up.

Expected Results:  It should have scanned for files containing the 
desired text string.

Additional info:
Comment 1 Klyf Fenderson 2004-02-20 20:20:46 EST
Created attachment 97897 [details]
The Backtrace output from KDE Crash Handler.
Comment 2 Klyf Fenderson 2004-02-21 12:09:29 EST
Okay, it seems to work okay if I use .* instead of * in the file name 
field.
Comment 3 Petr Rockai 2006-07-17 14:34:26 EDT
This bug is reported against old release of Red Hat Linux or Fedora Core 
that is no longer supported. Chances are that it has been already fixed in 
newer Fedora Core release. If you still experience the problem with 
current release of Fedora Core, please update the Version field (you may 
need to switch Product to Fedora Core first) in the bug report and put it 
back to NEW state.
Comment 4 Bill Nottingham 2006-10-18 14:11:13 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.